# Uses of Class
org.apache.lucene.internal.hppc.LongIntHashMap

Packages that use LongIntHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of LongIntHashMap in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return LongIntHashMap
Modifier and Type
Method
Description
`LongIntHashMap`
LongIntHashMap.`clone()`
`static LongIntHashMap`
LongIntHashMap.`from(long[] keys, int[] values)`
Creates a hash map from two index-aligned arrays of key-value pairs.
Methods in org.apache.lucene.internal.hppc with parameters of type LongIntHashMap
Modifier and Type
Method
Description
`protected boolean`
LongIntHashMap.`equalElements(LongIntHashMap other)`
Return true if all keys of some other container exist in this container.
Constructors in org.apache.lucene.internal.hppc with parameters of type LongIntHashMap
Modifier
Constructor
Description
``
`LongIntHashMap(LongIntHashMap map)`
Create a hash map from all key-value pairs of another map.